<?php

use yii\helpers\Html;
use app\assets\AppAsset;
use yii\helpers\Url;
use app\widgets\MetaTags;
use app\assets\WhhgAsset;
use app\models\form\LoginForm;
use yii\bootstrap\ActiveForm;

/**
 * @var \yii\web\View $this
 * @var string $content
 */
AppAsset::register($this);
WhhgAsset::register($this);
$controller = Yii::$app->controller->id;
$action = Yii::$app->controller->action->id;
$this->registerJs("jQuery('body').tooltip({'selector':'[data-toggle=tooltip]'});");
$this->registerJs('$("a#search").popover({title: false, 
            content: \'' . Html::beginForm(url(['search']), 'get', ['class' => 'input-group']) . Html::input('text', 'q', $_GET['query'], ['class' => 'form-control']) . '<span class="input-group-btn">' . Html::button('<i class="fa fa-search"></i>', ['class' => 'btn btn-default', 'type' => 'submit']) . '</span>' . Html::endForm() . '\',
            placement : "bottom",
            html: "true",
        });');
$title = !is_null($this->title) ? $this->title . ' - ' . config('title') : config('title');
if (Yii::$app->session->hasFlash('alert'))
	$this->registerJs(Yii::$app->session->getFlash('alert'));
?>
<?php $this->beginPage() ?>
<!DOCTYPE html>
<html lang="<?= Yii::$app->language ?>">
    <head>
        <title><?= $title; ?></title>
        <meta charset="<?= Yii::$app->charset ?>"/>
		<?= MetaTags::widget(['title' => $title, 'keywords' => $this->keywords, 'description' => $this->description, 'image' => $this->image]); ?>
		<?= Html::csrfMetaTags(); ?>
		<?php $this->head() ?>


        <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
        <!--[if lt IE 9]>
          <script src="<?php echo Url::base(); ?>/js/html5shiv.js"></script>
          <script src="<?php echo Url::base(); ?>/js/respond.min.js"></script>
        <![endif]-->

		<script>
            (function (i, s, o, g, r, a, m) {
                i['GoogleAnalyticsObject'] = r;
                i[r] = i[r] || function () {
                    (i[r].q = i[r].q || []).push(arguments)
                }, i[r].l = 1 * new Date();
                a = s.createElement(o),
                        m = s.getElementsByTagName(o)[0];
                a.async = 1;
                a.src = g;
                m.parentNode.insertBefore(a, m)
            })(window, document, 'script', '//www.google-analytics.com/analytics.js', 'ga');

            ga('create', '<?php echo \app\helpers\SocialNetwork::google_analytics('code'); ?>', 'auto');
            ga('send', 'pageview');
		</script>
    </head>
    <body>
        <div id="fb-root"></div>
		<?php $this->beginBody() ?>
		<div class="contato hidden-xs" id="width-duration">
            <p class="contact">Entre em contato<br> com a gente!</p>
            <p class="tel-number"><?= institutional('telefone'); ?></p>
            <a href="mailto:<?= institutional('email-comercial'); ?>" class="email"><?= institutional('email-comercial'); ?></a>
            <a href="javascript:void(window.open('http://frezarin.com/atendimento/chat.php?a=6d827','','width=590,height=760,left=0,top=0,resizable=yes,menubar=no,location=no,status=yes,scrollbars=yes'))" class="chat-contato"><span><img src="<?= Url::base(); ?>/images/site/bubble-chat.png" alt=""></span><span>Chat</span></a>
			<!-- LiveZilla Chat Button Link Code (ALWAYS PLACE IN BODY ELEMENT) -->
			<!-- LiveZilla Tracking Code (ALWAYS PLACE IN BODY ELEMENT) -->
			<div id="livezilla_tracking" style="display:none"></div>
			<script type="text/javascript">
			var script = document.createElement("script");
			script.async=true;
			script.type="text/javascript";
			var src = "http://frezarin.com/atendimento/server.php?a=0b0d1&rqst=track&output=jcrpt&nse="+Math.random();
			setTimeout("script.src=src;document.getElementById('livezilla_tracking').appendChild(script)",1);
			</script>
			<noscript><img src="http://frezarin.com/atendimento/server.php?a=0b0d1&amp;rqst=track&amp;output=nojcrpt" width="0" height="0" style="visibility:hidden;" alt=""></noscript>
			<!-- http://www.LiveZilla.net Tracking Code -->
        </div>

		<!-- Navigation -->
        <nav class="navbar navbar-default navbar-fixed-top adjust-navbar" role="navigation">
            <div class="container">
                <div class="col-md-12">
                    <!-- Brand and toggle get grouped for better mobile display -->
                    <div class="navbar-header">
                        <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#bs-example-navbar-collapse-1">
                            <span class="sr-only">Toggle navigation</span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                        </button>
                        <button type="button" class="navbar-toggle" data-toggle="collapse" data-target="#bs-example-navbar-collapse-2">
                            <span class="sr-only">Toggle navigation</span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                            <span class="icon-bar"></span>
                        </button>
                        <a class="navbar-brand" href="<?= url('') ?>"><img src="<?= Url::base(); ?>/images/site/logo.png" class="img-responsive" alt="Frezarin"></a>
                    </div>
                    <!-- Collect the nav links, forms, and other content for toggling -->
                    <div class="collapse navbar-collapse" id="bs-example-navbar-collapse-1">
						<?php if (Yii::$app->user->isGuest): ?>
							<ul class="nav navbar-nav navbar-right account-nav">
								<li><a href="<?= url('cadastro'); ?>"><span class="register"></span>Cadastre-se</a></li>
								<li><a href="javascript:;" data-toggle="modal" data-target="#myModal" class="inline"><span class="login"></span>Login</a></li>
								<li><a href="javascript:void(window.open('http://frezarin.com/atendimento/chat.php?a=6d827','','width=590,height=760,left=0,top=0,resizable=yes,menubar=no,location=no,status=yes,scrollbars=yes'))" class="chat-contato"><span class="chat"></span>Chat Online</a></li>
							</ul>
						<?php else: ?>
							<ul class="nav navbar-nav navbar-right account-nav">
								<li><a href="<?= url('painel'); ?>">Olá <?= Yii::$app->user->identity->name; ?></a></li>
								<li><a href="<?= url('painel'); ?>">Sua Conta</a></li>
								<li><a href="#"><span class="chat"></span>Chat Online</a></li>
							</ul>
						<?php endif; ?>
                    </div>
                    <!-- /.navbar-collapse -->
                    <div class="collapse navbar-collapse col-md-offset-2" id="bs-example-navbar-collapse-2">
                        <ul class="nav navbar-nav navbar-right nav-menu">
                            <li><a href="<?= url('o-grupo'); ?>"><p>O grupo</p></a></li>
                            <li><a href="<?= url('tecnologia'); ?>"><p>Tecnologia</p></a></li>
                            <li><a href="<?= url('eventos'); ?>"><p>Eventos</p></a></li>
                            <li><a href="<?= url('escritorio-virtual'); ?>"><p>Escritório Virtual</p></a></li>
                            <li><a href="<?= url('parceiros'); ?>"><p>Clientes</p></a></li>
                            <li><a href="<?= url('cases'); ?>"><p>Cases</p></a></li>
							<li><a href="<?= url('blog'); ?>"><p>Blog</p></a></li>
                            <li><a href="<?= url('institutional/contato'); ?>"><p>Contato</p></a></li>
                        </ul>
                    </div>
                    <!-- /.navbar-collapse -->
                </div>
            </div>
            <!-- /.container -->
        </nav>

		<?php echo $content; ?>
		<!-- Footer -->
		<footer>
			<div class="container">
				<div class="row">
					<div class="col-md-2">
						<img src="<?= Url::base(); ?>/images/site/logo-footer.png" class="img-responsive img-center-mobile" alt="">
					</div>
					<div class="col-md-8">      
						<ul class="list-inline">
							<li><a href="<?= url('o-grupo'); ?>"><p>O grupo</p></a></li>
                            <li><a href="<?= url('tecnologia'); ?>"><p>Tecnologia</p></a></li>
                            <li><a href="<?= url('eventos'); ?>"><p>Eventos</p></a></li>
                            <li><a href="<?= url('escritorio-virtual'); ?>"><p>Escritório Virtual</p></a></li>
                            <li><a href="<?= url('parceiros'); ?>"><p>Clientes</p></a></li>
                            <li><a href="<?= url('cases'); ?>"><p>Cases</p></a></li>
	                        <li><a href="<?= url('blog'); ?>"><p>Blog</p></a></li>
                            <li><a href="<?= url('institutional/contato'); ?>"><p>Contato</p></a></li>
						</ul>
						<div class="row text-center">
							<ul class="social-media">
								<li><a href="<?=institutional('facebook')?>" target="_blank"><i class="fa fa-facebook-square"></i></a></li>
								<li><a href="<?=institutional('instagram')?>" target="_blank"><i class="fa fa-instagram"></i></a></li>
								<li><a href="<?=institutional('linkedin')?>" target="_blank"><i class="fa fa-linkedin-square"></i></a></li>
								<li><a href="<?=institutional('pinterest')?>" target="_blank"><i class="fa fa-pinterest-square"></i></a></li>
								<li><a href="<?=institutional('google')?>" target="_blank"><i class="fa fa-google-plus-square"></i></a></li>
								<li><a href="<?=institutional('youtube')?>" target="_blank"><i class="fa fa-youtube-square"></i></a></li>
							</ul>
						</div>
					</div>
					<div class="col-md-2">   
						<p class="copyright text-muted small">&copy; Copyright <span class="frezarin-group">Grupo Frezarin</span> Todos os direitos reservados</p>
					</div>
				</div>
			</div>
		</footer>

		<div style='display:none'>
			<div id='login' style='padding:10px; background:#fff;'>
				<p class="login-box"><strong>Faça seu login</strong></p>
				<label for="nome:">Nome: </label>
				<input type="text" name="nome:" value="" id="nome:" class="input-loginbox"><br>
				<label for="senha:">Senha: </label>
				<input type="password" name="senha:" value="" id="senha:" class="input-loginbox">
				<br><br>
				<input type="submit" class="submit" value="Entrar">
			</div>
		</div>

		<?php if (Yii::$app->user->isGuest): ?>
			<div class="modal fade" id="myModal" tabindex="-1" role="dialog" aria-labelledby="myModalLabel" aria-hidden="true">
				<?php $model = new LoginForm; ?>
				<?php $form = ActiveForm::begin(['id' => 'login-form', 'action' => url('painel/login')]); ?>
				<div class="modal-dialog">
					<div class="modal-content">
						<div class="modal-header">
							<button type="button" class="close" data-dismiss="modal" aria-label="Close"><span aria-hidden="true">&times;</span></button>
							<h4 class="modal-title" id="myModalLabel">Login</h4>
						</div>
						<div class="modal-body">
							<?= $form->field($model, 'username'); ?>
							<?= $form->field($model, 'password')->passwordInput(); ?>
						</div>
						<div class="modal-footer">
							<button type="button" class="btn btn-default" data-dismiss="modal">Fechar</button>
							<button type="submit" class="btn btn-primary">Entrar</button>
						</div>
					</div>
				</div>
				<?php ActiveForm::end(); ?>

			</div>
		<?php endif; ?>

		<?php $this->endBody() ?>
    </body>
</html>
<?php $this->endPage() ?>